> For the complete documentation index, see [llms.txt](https://docs.degirum.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.degirum.com/face-recognition/guides/overview-2/configuration.md).

# Configuration

## Configuration Overview

`FaceClipManager` uses `ObjectStorageConfig` from `degirum_tools`. In typical usage, you reuse the same config from your FaceTracker setup:

```python
# Configure FaceTracker with clip storage
tracker_config = degirum_face.FaceTrackerConfig(
    # ... other settings ...
    clip_storage_config=degirum_tools.ObjectStorageConfig(
        endpoint="./security_clips",
        bucket="unknowns"
    )
)

tracker = degirum_face.FaceTracker(tracker_config)

# Use same config for FaceClipManager
clip_manager = degirum_face.FaceClipManager(tracker_config.clip_storage_config)
```

For complete `ObjectStorageConfig` parameters and examples (AWS S3, MinIO, local storage), see:

[**Object Storage Configuration Reference**](/face-recognition/reference/storage-config.md)

***

## Configuration Patterns

### Standalone Configuration

Create FaceClipManager with its own storage configuration:

```python
import degirum_face
import degirum_tools

clip_manager = degirum_face.FaceClipManager(
    degirum_tools.ObjectStorageConfig(
        endpoint="./clips",
        bucket="alerts"
    )
)
```

### Reuse FaceTracker Configuration

Typical pattern - use the same storage config as FaceTracker:

```python
import degirum_face
import degirum_tools

# Configure FaceTracker with clip storage
tracker_config = degirum_face.FaceTrackerConfig(
    face_detection_model_spec=degirum_face.get_face_detection_model_spec(
        device_type="HAILORT/HAILO8",
        inference_host_address="@cloud"
    ),
    face_embedding_model_spec=degirum_face.get_face_embedding_model_spec(
        device_type="HAILORT/HAILO8",
        inference_host_address="@cloud"
    ),
    db_path="./security_db.lance",
    video_source="rtsp://camera/stream",
    alert_mode=degirum_face.AlertMode.ON_UNKNOWNS,
    clip_duration=150,
    clip_storage_config=degirum_tools.ObjectStorageConfig(
        endpoint="./security_clips",
        bucket="unknowns"
    )
)

tracker = degirum_face.FaceTracker(tracker_config)

# Create FaceClipManager using same storage config
clip_manager = degirum_face.FaceClipManager(tracker_config.clip_storage_config)
```

See [Methods Reference](/face-recognition/guides/overview-2/methods.md) for clip management operations.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.degirum.com/face-recognition/guides/overview-2/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
